package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DALog;
import com.sa.ibiz.demo.demo.service.dto.DALogSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DALog] 服务对象接口
 */
public interface DALogService extends IService<DALog>{

	boolean remove(DALog et);
	boolean create(DALog et);
	boolean getDraft(DALog et);
		DALog get(DALog et);
	boolean update(DALog et);
	boolean checkKey(DALog et);
    List<DALog> listDefault(DALogSearchFilter filter) ;
	Page<DALog> searchDefault(DALogSearchFilter filter);
	/**	 实体[DALog] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }